﻿-- Korean localization file for koKR.
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("SpeakinSpell", "koKR", false)
if not L then return end


-------------------------------------------------------------------------------
-- THE NAME OF THIS ADDON
-------------------------------------------------------------------------------


-- the name SpeakinSpell is a reference to a children's toy from the early 1980s
-- see http://en.wikipedia.org/wiki/Speak_&_Spell_(game) for details
L["SpeakinSpell"] = "SpeakinSpell"


-------------------------------------------------------------------------------
-- SLASH COMMANDS (do not include the leading /)
-------------------------------------------------------------------------------


-- "/SpeakinSpell" prefix and abbreviations
L["/SpeakinSpell"] = "마법알림"
L["/speakinspell"] = "마법알림"
L["/SS"] = "마법알림"
L["/ss"] = "마법알림"

-- parameters for "/ss something"
L["/options"]	= "옵션"		-- /ss options
L["/reset"]		= "초기화"		-- /ss reset
L["/help"]		= "도움말"		-- /ss help
L["/create"]	= "만들기"		-- /ss create
L["/messages"]	= "메세지"		-- /ss messages
L["/macro"]		= "매크로"		-- /ss macro

L["/advertise"]	= "광고"		-- /ss advertise
L["/ad /w"]		= "광고 /ㅈ"	-- used in /ss ad /w playername (if playername is omitted, applies to selected target)
L["/ad /s"]		= "광고 /ㄴ"	-- /ss ad /s
L["/ad /p"]		= "광고 /ㅔ"		-- /ss ad /p
L["/ad /ra"]	= "광고 /공"	-- /ss ad /ra


-------------------------------------------------------------------------------
-- YES AND NO
-------------------------------------------------------------------------------
-- These strings are used as buttons in popup message boxes


L["Yes"]= "예"
L["No"] = "아니오"
L["OK"] = "확인"


-------------------------------------------------------------------------------
-- CHAT CHANNEL NAMES
-------------------------------------------------------------------------------
-- These channel names are displayed as drop-down list options in the GUI


L["SAY"]			= "일반 (/s)"
L["PARTY"]			= "파티 (/p)"
L["RAID"]			= "공격대 (/ra)"
L["BATTLEGROUND"]	= "전장 (/bg)"
L["EMOTE"]			= "감정표현 (/em)"
L["YELL"]			= "외침 (/y)"
L["RAID_WARNING"]	= "공격대 경보 (/rw)"
L["Silent"]			= "침묵" -- messages are disabled


-------------------------------------------------------------------------------
-- SUBSTITUTION TABLE
-------------------------------------------------------------------------------
-- These are the substitution variables which may be used in random speeches


L["<target>"] = "대상" -- the target's name
L["<focus>"] = "주시대상" -- the focus target's name
L["<targetclass>"] = "대상직업" -- the target's name
L["<targetrace>"] = "대상종족" -- the target's name
L["<player>"] = "플레이어" -- the player's name
L["<caster>"] = "시전자" -- the player's name
L["<spellname>"] = "마법이름" -- the name of a spell
L["<spellrank>"] = "마법등급" -- the rank of a spell
L["<spelllink>"] = "마법링크" -- link the spell in chat like shift-click
L["<pet>"] = "소환수" -- the name of the player's pet
L["<TM>"] ="TM" -- becomes the "trademark" symbol
L["<R>"] = "R" -- becomes the "registered trademark" symbol
L["<C>"] = "C" -- becomes the "Copyright (C)" symbol


-------------------------------------------------------------------------------
-- Event Types
-------------------------------------------------------------------------------


-- the types of events, as they appear in the list of detected events

-- label of the list under Message Settings
L["Select a Spell"] = "마법 또는 다른 이벤트를 선택하시오"
L["Select a Spell TOOLTIP"] = "마법에 쓰여질 무작위 문구들을 설정하려면 목록에서 마법을 선택하시오."
-- different tooltip used for the same kind of list under Create New
L["Select a Spell TOOLTIP - Create New"] = [[이것은 최근에 당신이 시전했거나 받았던 마법, 능력, 아이템 기타 등등 중 SpeakinSpell이 감지한 것들의 목록입니다.]]

-- Create New and Message Settings use the same filter list
L["Filter Events By"] = "작성에 의한 이벤트 필터"
L["Filter Events By TOOLTIP"] = ""

-- prefixes used in the list of spells
L.EVENTTYPES = {
	IN_SPELL_LIST = {
		["EVENT"]					= "시스템 이벤트: ",-- ..eventname
		["MACRO"]					= "내가 작성했을 때: /마법알림 ",-- ..input ==> "User Macro Event: /ss macro something"
		["UNIT_SPELLCAST_SENT"]		= "내가 해당 마법 시전을 시작할 때: ",--..spellname (rank)
		["SPELL_AURA_APPLIED_BUFF"]	= "해당 마법으로 스스로가 버프했을 때: ",--..spellname
		["SPELL_AURA_APPLIED_DEBUFF"] = "해당 마법로 스스로가 디버프했을 때: ",--..spellname
		["SPELL_AURA_APPLIED_BUFF_FOREIGN"]	= "해당 마법으로 누군가 나에게 버프할 때: ",--..spellname
		["SPELL_AURA_APPLIED_DEBUFF_FOREIGN"]= "해당 마법으로 누군가 나에게 디버프할 때: ",--..spellname
	},

	AS_FILTERS = {
		["ALL"]						= "_ 모든 형태의 이벤트를 보여줌 _",
		["EVENT"]					= "시스템 이벤트",
		["MACRO"]					= "/마법알림 macro ",
		["UNIT_SPELLCAST_SENT"]		= "마법과 능력들", --TODO: does this include items?
		["SPELL_AURA_APPLIED_BUFF"]	= "자신의 버프들 (지속효과 포함)",
		["SPELL_AURA_APPLIED_DEBUFF"]= "자신의 디버프들",
		["SPELL_AURA_APPLIED_BUFF_FOREIGN"]	= "다른사람으로부터의 버프들 (토템 포함)",--..spellname
		["SPELL_AURA_APPLIED_DEBUFF_FOREIGN"]= "다른사람으로부터의 디버프들",--..spellname
	},
}

-- The names of "EVENT" type events themselves
L.EVENTNAMES = {
	["SpeakinSpell Loaded"] = "SpeakinSpell Loaded",
}

-------------------------------------------------------------------------------
-- OPTIONS GUI LABELS AND TOOLTIPS
-------------------------------------------------------------------------------


L["General Settings"] = "일반 설정"
L["General Settings TOOLTIP"] = "SpeakinSpell에 대한 일반 설정"

L["Message Settings"] = "마법, 능력, 아이템, 진행효과, 사용자 매크로, 그리고 다른 이벤트들에 대한 메세지 설정"

L["Message Settings TITLE"] = "메세지 설정"
L["Create New..."] = "새로 만들기..."
L["Trade"] = "거래"
L["SpeakinSpell Help"] = "SpeakinSpell 도움말"

L["Create New... TOOLTIP"] = "새로운 마법, 능력, 효과, 매크로, 또는 다른 이벤트를 위한 설정을 만들려면 이곳을 클릭하시오"

L["Disable announcements for this spell"] = "이 마법에 대한 알림 비활성화"
L["Disable announcements for this spell TOOLTIP"] = "선택한 마법 또는 이벤트 알림을 비활성화 한다"

L["Enable All Messages"] = "SpeakinSpell 활성화"
L["Enable All Messages TOOLTIP"] = "SpeakinSpell에 설정된 모든 문구를 사용하지 않으려면 이 옵션을 체크표시를 해제하시오"

L["Report detected spell events"] = "감지된 마법, 능력, 지속효과에 대한 보고"
L["Report detected spell events TOOLTIP"] = [[당신 스스로 또는 타인에 의한 감지된 모든 이벤트를 볼 수 있도록 하기 위해서는 이 옵션을 활성화 시키시오.  이것은 당신이 시전하거나 사용한 어떠한 마법, 능력, 아이템, 또는 자동획득효과(예를 들어, 장신구 또는 특성)도 전부 포함한다.  이것은 아이템에 의해 시전된 마법이름은 일반적으로 아이템이름 자체가 아니기 때문에 이를 알아내는데 유용할 수 있다.]]
L["Show Debugging Messages (verbose)"] = "디버깅 메세지 표시 (장문)"
L["Show Debugging Messages TOOLTIP"] = [[위의 "감지된 마법, 능력, 지속효과에 대한 보고" 보다 훨씬 더 많은 정보를 보고 싶으면 이 옵션을 활성화 하시오 ]]

L["Delete Spell"] = "마법 삭제"
L["Delete Spell TOOLTIP"] = "선택된 마법을 목록에서 삭제합니다"

L["Select the channels to use when announcing this spell when"] = "... 에 있을때 이 마법알림에 사용할 채널을 선택하시오."

L["In a Battleground"] = "전장"
L["In a Battleground TOOLTIP"] = "전장에 있는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["In a Raid"] = "공격대"
L["In a Raid TOOLTIP"] = "Select which channel to use for this spell while in a Raid"
L["In a Raid TOOLTIP"] = "공격대에 있는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["In a Party"] = "파티"
L["In a Party TOOLTIP"] = "파티에 있는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["By yourself"] = "단독플레이"
L["By yourself TOOLTIP"] = "단독플레이를 하는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["In Arena"] = "투기장"
L["In Arena TOOLTIP"] = "투기장에 있는 동안 이 마법알림을 위해 어떤 채널을 사용할지 선택하시오"

L["Whisper the message to your target"] = "대상에게 메세지를 귓속말로 보내기"
L["Whisper the message to your target TOOLTIP"] = [[
당신의 마법대상에게 귓속말로 메세지를 전달하도록 활성화 한다. 당신 자신에게 마법을 사용할 경우에는 대상이 선택되어있다 할지라도 귓속말을 보내지 않는다.
]]

L["How often do you want to announce this spell?"] = "이 마법에 대한 문구를 얼마나 자주 알리고 싶은가?"
L["How often TOOLTIP"] = [[
선택된 확률를 기반으로 선택마법을 사용할때 문구 알림 확률을 얻습니다. 예를 들어 100%로 설정하면 항상 알리고, 0%로 설정하면 한번도 알리지 않습니다.
]]

L["Cooldown on announcements for this spell"] = "마법에 대한 알림 쿨타임 (초)"
L["Cooldown TOOLTIP"] = [[
SpeakinSpell이 해당 마법에 대해서 너무 자주 채팅상에 알리는 것을 막아줍니다. 설정된 쿨타임이 지난 이후에만 해당 마법을 다시 알릴 것입니다.]]

L["NEW SPELL INSTRUCTIONS"] = [[
아래 목록은 SpeakinSpell이 최근에 감지한 모든 마법, 능력, 그리고 다른 효과들을 보여줍니다.

당신이 채팅상에 알리고 싶어하는 것을 선택하고 선택된 이벤트 만들기 버튼을 클릭하시오.

만일 당신이 찾는 마법이나 이벤트가 목록에 없는 경우, 그것을 시전하거나, 그 효과를 발생하게 하고, 이 창을 다시 여시오.

목록이 너무 크면, "/console reloadui"를 입력하여 목록들을 초기화 할 수 있습니다.
]]

L["Create Selected Event"] = "선택된 이벤트 만들기"
L["Create Selected Event TOOLTIP"] = "위에서 당신이 채팅상에서 알리고 싶은 새로은 마법 또는 이벤트를 선택하고 이 버튼을 누르시오"

L["Enter a new Spell Name"] = "Enter a new Spell Name"
L["Enter a new Spell Name TOOLTIP"] = [[Type the name of a spell, ability, item's spell effect, or proc effect that you want to trigger random speeches.]]

L["Cancel New Spell"] = "Cancel New Spell"
L["Cancel New Spell TOOLTIP"] = "Cancel entering the new spell and return to the previous interface."

L["ADD FIRST SPELL INSTRUCTIONS"] = [[You do not have any messages configured for any of this character's spells or abilities

Click "Add Spell" to get started]]

L["Random Speech i"] = "무작위 문구 %d" -- the %d will be replaced with a number 1 to 50
L["Random Speech i TOOLTIP"] = "여기에 말하고 싶은 재미있는 문구들을 입력하시오"


-------------------------------------------------------------------------------
-- ADDON MESSAGES (not random speeches - these are system/runtime messages)
-------------------------------------------------------------------------------


L["Loaded version %s"] = "Loaded version %s" -- the %s will be replaced with the current SpeakinSpell version number, for example "3.0.3.08"
L["Default settings restored"] = "기본 세팅 복구"

-- tooltips on help screen navigation buttons
-- the names of the buttons are the names of the target pages
-- this mouseover tooltip is used for all of them
L["Go to the first help topic"] = "첫번째 도움 주제로 이동"
L["Go to the next help topic"] = "다음 도움 주제로 이동"

